/*
**	branch.h 	- Branch analyzer data structures
**
**		This file defines those data structures that are shared by the
**		branch analyzer's instrumentation and analysis code.
*/

#ifndef BRANCH_H
#define BRANCH_H

#include <atcktypes.h>


/*
 * Summary branch data.
 */
typedef struct {
	atck_uint32_t	nbranches;
	atck_uint32_t	ntaken;
} brdat_t;


/*
 * Description of brdat_t type for atck_analtype().
 */
#define BRDAT_ANALTYPE	"{uint32, uint32}"


#endif /*BRANCH_H*/
